summaryrefslogtreecommitdiff
path: root/tools
diff options
context:
space:
mode:
Diffstat (limited to 'tools')
-rwxr-xr-xtools/pretty_tox.sh16
-rwxr-xr-xtools/run-pifpaf-tests.sh4
2 files changed, 2 insertions, 18 deletions
diff --git a/tools/pretty_tox.sh b/tools/pretty_tox.sh
deleted file mode 100755
index 9699a6f..0000000
--- a/tools/pretty_tox.sh
+++ /dev/null
@@ -1,16 +0,0 @@
-#!/usr/bin/env bash
-
-# return nonzero exit status of rightmost command, so that we
-# get nonzero exit on test failure without halting subunit-trace
-set -o pipefail
-
-
-TESTRARGS=$1
-
-python setup.py testr --testr-args="--subunit $TESTRARGS" | subunit-trace -f
-retval=$?
-# NOTE(mtreinish) The pipe above would eat the slowest display from pbr's testr
-# wrapper so just manually print the slowest tests
-echo -e "\nSlowest Tests:\n"
-testr slowest
-exit $retval
diff --git a/tools/run-pifpaf-tests.sh b/tools/run-pifpaf-tests.sh
index 687b6bb..ee21c69 100755
--- a/tools/run-pifpaf-tests.sh
+++ b/tools/run-pifpaf-tests.sh
@@ -3,5 +3,5 @@ set -e
# Replace mysql:// by mysql+pymysql:// and add sqlite
export OS_TEST_DBAPI_ADMIN_CONNECTION="${OS_TEST_DBAPI_ADMIN_CONNECTION/#mysql:/mysql+pymysql:};sqlite://"
echo $OS_TEST_DBAPI_ADMIN_CONNECTION
-tools/pretty_tox.sh $*
-TEST_EVENTLET=1 tools/pretty_tox.sh $*
+stestr run $*
+TEST_EVENTLET=1 stestr run $*